package com.ss.android.ugc.aweme.global.config.settings.pojo;

import X.4Ek;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;

public class DeviceInfo {
    @c(LIZ = "brand")
    public String brand;
    @c(LIZ = "device")
    public String device;
    @c(LIZ = "model")
    public String model;

    static {
        Covode.recordClassIndex(82844);
    }

    public String getBrand() {
        String str = this.brand;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }

    public String getDevice() {
        String str = this.device;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }

    public String getModel() {
        String str = this.model;
        if (str != null) {
            return str;
        }
        throw new 4Ek();
    }
}
